unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls,
  TplShapeProgressUnit;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Timer1: TTimer;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    FProgress: TplShapeProgress;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  FProgress := TplShapeProgress.Create(self);
  FProgress.Parent := self;
  FProgress.Left := 8;
  FProgress.Top := 8;
  FProgress.Height := 24;
  FProgress.Width := ClientWidth - 2*8;
  FProgress.ShapeType := stBarHor; //stRoundBarHor;
  FProgress.FillColor := clSkyBlue;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
  p: Integer;
begin
  p := FProgress.Progress + 1;
  if p <= FProgress.MaxValue then
    FProgress.Progress := p
  else
    Timer1.Enabled := false;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  FProgress.Progress := FProgress.MinValue;
  Timer1.Enabled := true;
end;

end.

